## qdigidoc 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.6 )
project( qdigidoc )

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )

include( InstallSettings )

if(PKCS11_MODULE)
    add_definitions(-DPKCS11_MODULE="${PKCS11_MODULE}")
endif(PKCS11_MODULE)

find_package( Ldap REQUIRED )
find_package( LibDigiDoc REQUIRED )
find_package( LibDigiDocpp REQUIRED )
find_package( LibP11 REQUIRED )
find_package( OpenSSL REQUIRED )
find_package( OpenSSLCrypto REQUIRED )
find_package( Qt4 REQUIRED )
find_package( XercesC REQUIRED )
find_package( XSD REQUIRED )

set( QT_MIN_VERSION 4.4.0 )
set( QT_USE_QTNETWORK true )
set( QT_USE_QTWEBKIT true )
set( QT_USE_QTXML true )

include( ${QT_USE_FILE} )

find_package(Subversion)
if (Subversion_FOUND AND EXISTS ${PROJECT_SOURCE_DIR}/.svn)
    Subversion_WC_INFO(${PROJECT_SOURCE_DIR} PROJECT)
    message(STATUS "Current SVN revision is ${PROJECT_WC_REVISION}")
    add_definitions(-DBUILD_VER=${PROJECT_WC_REVISION})
else (Subversion_FOUND AND EXISTS ${PROJECT_SOURCE_DIR}/.svn)
    add_definitions(-DBUILD_VER=0)
endif (Subversion_FOUND AND EXISTS ${PROJECT_SOURCE_DIR}/.svn)

set( COMMON ${CMAKE_SOURCE_DIR}/common )
set( COMMON_RCS
	${COMMON}/images/common_images.qrc
	)
set( COMMON_TS
	${COMMON}/translations/common_en.ts
	${COMMON}/translations/common_et.ts
	${COMMON}/translations/common_ru.ts
	${COMMON}/translations/qt_et.ts
	${COMMON}/translations/qt_ru.ts
	)

add_definitions( -DQT_NO_KEYWORDS )

if(WIN32)
    add_definitions( -DWIN32_LEAN_AND_MEAN )
endif(WIN32)

add_subdirectory( common )
add_subdirectory( client )
add_subdirectory( crypto )

=== client/CMakeLists.txt ===
SET( MOC_HEADERS
	AccessCert.h
	DigiDoc.h
	MainWindow.h
	MobileDialog.h
	PrintSheet.h
	QSigner.h
	RegisterP12.h
	SettingsDialog.h
	SignatureDialog.h
	TreeWidget.h
	)
QT4_WRAP_UI( UI_HEADERS
	ui/MainWindow.ui
	ui/MobileDialog.ui
	ui/RegisterP12.ui
	ui/SettingsDialog.ui
	ui/SignatureDialog.ui
	)
SET( HEADERS
	${MOC_HEADERS}
	${UI_HEADERS}
	QMobileSigner.h
	version.h
	)
QT4_WRAP_CPP( MOC_SOURCES ${MOC_HEADERS} )
SET( SOURCES
	${HEADERS}
	${MOC_SOURCES}
	main.cpp
	AccessCert.cpp
	DigiDoc.cpp
	MainWindow.cpp
	MobileDialog.cpp
	PrintSheet.cpp
	QSigner.cpp
	QMobileSigner.cpp
	RegisterP12.cpp
	SettingsDialog.cpp
	SignatureDialog.cpp
	TreeWidget.cpp
	)

set(QM_DIR ${CMAKE_CURRENT_BINARY_DIR})
configure_file(${COMMON}/translations/common_tr.qrc.cmake ${QM_DIR}/common_tr.qrc)
configure_file(translations/tr.qrc.cmake ${QM_DIR}/tr.qrc)

QT4_ADD_RESOURCES( RC_SOURCES
	${COMMON_RCS}
	images/images.qrc
	${QM_DIR}/common_tr.qrc
	${QM_DIR}/tr.qrc
	)
QT4_ADD_TRANSLATION( QM_FILES
	${COMMON_TS}
	translations/en.ts
	translations/et.ts
	translations/ru.ts
	)

INCLUDE_DIRECTORIES(
	${CMAKE_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${OPENSSL_INCLUDE_DIR}
	${XERCESC_INCLUDE_DIR}
	${XSD_INCLUDE_DIR}
	${LIBDIGIDOCPP_INCLUDE_DIR}
	${LIBP11_INCLUDE_DIR}
	)

if(APPLE)
    set(APP_CONTENTS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/mac")
 
    # xCode hacks
    include_directories(/usr/local/include/../include)

    # Bundle resources
    file(GLOB_RECURSE RESOURCE_FILES
        ${APP_CONTENTS_DIR}/Resources/*.icns
        ${APP_CONTENTS_DIR}/Resources/**/*.strings)

    foreach(_file ${RESOURCE_FILES})
        get_filename_component(_file_dir ${_file} PATH)
        file(RELATIVE_PATH _file_dir ${APP_CONTENTS_DIR}/Resources ${_file_dir})
        set_source_files_properties(${_file} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/${_file_dir}" )
    endforeach(_file)
    
    include_directories(/Developer/Headers/FlatCarbon)
    find_library(CARBON_LIBRARY Carbon)
    set(EXTRA_LIBRARIES ${CARBON_LIBRARY})
endif(APPLE)

if(MSVC)
	# disable warning C4290: C++ exception specification ignored
	add_definitions( -wd4290 )
	add_definitions( -wd4996 )
endif(MSVC)
IF(WIN32)
	SET( SOURCES ${SOURCES} qdigidocclient.rc )
ENDIF(WIN32)

ADD_EXECUTABLE(
	qdigidocclient
	WIN32
	MACOSX_BUNDLE
	${SOURCES}
	${QM_FILES}
	${RC_SOURCES}
	${RESOURCE_FILES}
	)

if(APPLE)
    configure_file(
        ${APP_CONTENTS_DIR}/Info.plist.cmake
        ${APP_CONTENTS_DIR}/Info.plist
        @ONLY)

    set_target_properties(qdigidocclient
    	PROPERTIES
    	MACOSX_BUNDLE_INFO_PLIST ${APP_CONTENTS_DIR}/Info.plist)
endif(APPLE)

TARGET_LINK_LIBRARIES( qdigidocclient
	${QT_QTMAIN_LIBRARY}
	${QT_LIBRARIES}
	${LIBDIGIDOCPP_LIBRARY}
	${OPENSSL_LIBRARIES}
	${OPENSSLCRYPTO_LIBRARIES}
	${LIBP11_LIBRARY}
	${EXTRA_LIBRARIES}
	qdigidoccommon
)
install(TARGETS qdigidocclient DESTINATION ${BIN_INSTALL_DIR})

install(FILES qdigidoc-client.desktop DESTINATION ${SHARE_INSTALL_PREFIX}/applications)
install(FILES qdigidoc-client.xml DESTINATION ${SHARE_INSTALL_PREFIX}/mime/packages)

if(UNIX AND NOT APPLE)
    # Install icons
    foreach(RES 16 22 32 48 128)
        set(ICONDIR ${SHARE_INSTALL_PREFIX}/icons/hicolor/${RES}x${RES}/mimetypes/)
        foreach(TGT application-x-bdoc.png application-x-ddoc.png application-x-p12d.png)
            set(SRC images/qdigidoc_client_document_${RES}x${RES}.png)
            install(
                FILES ${SRC}
                DESTINATION ${ICONDIR}
                RENAME ${TGT}
            )
        endforeach(TGT)

        set(ICONDIR ${SHARE_INSTALL_PREFIX}/icons/hicolor/${RES}x${RES}/apps/)
        set(SRC images/digidoc_icon_${RES}x${RES}.png)
        set(TGT qdigidoc-client.png)
        install(
            FILES ${SRC}
            DESTINATION ${ICONDIR}
            RENAME ${TGT}
        )
    endforeach(RES)
endif(UNIX AND NOT APPLE)

option(ENABLE_KDE "Install KDE service menu (default: TRUE)" TRUE)
if (ENABLE_KDE)
    add_subdirectory(kde)
endif()

option(ENABLE_NAUTILUS_EXTENSION "Install Nautilus extension (default: TRUE)" TRUE)
if (ENABLE_NAUTILUS_EXTENSION)
    add_subdirectory(nautilus)
endif()

=== crypto/CMakeLists.txt ===
SET( MOC_HEADERS
	CryptoDoc.h
	KeyDialog.h
	LdapSearch.h
	MainWindow.h
	Poller.h
	SettingsDialog.h
	TreeWidget.h
	)
QT4_WRAP_UI( UI_HEADERS
	ui/KeyAddDialog.ui
	ui/KeyDialog.ui
	ui/MainWindow.ui
	ui/SettingsDialog.ui
	)
SET( HEADERS
	${MOC_HEADERS}
	${UI_HEADERS}
	version.h
	)
QT4_WRAP_CPP( MOC_SOURCES ${MOC_HEADERS} )
SET( SOURCES
	${HEADERS}
	${MOC_SOURCES}
	main.cpp
	CryptoDoc.cpp
	KeyDialog.cpp
	LdapSearch.cpp
	MainWindow.cpp
	Poller.cpp
	SettingsDialog.cpp
	TreeWidget.cpp
	)

set(QM_DIR ${CMAKE_CURRENT_BINARY_DIR})
configure_file(${COMMON}/translations/common_tr.qrc.cmake ${QM_DIR}/common_tr.qrc)
configure_file(translations/tr.qrc.cmake ${QM_DIR}/tr.qrc)

QT4_ADD_RESOURCES( RC_SOURCES
	${COMMON_RCS}
	images/images.qrc
	${QM_DIR}/common_tr.qrc
	${QM_DIR}/tr.qrc
	)
QT4_ADD_TRANSLATION( QM_FILES
	${COMMON_TS}
	translations/et.ts
	translations/ru.ts
	)

INCLUDE_DIRECTORIES(
	${CMAKE_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${OPENSSL_INCLUDE_DIR}
	${LIBDIGIDOC_INCLUDE_DIR}
	${LDAP_INCLUDE_DIR}
	${LIBP11_INCLUDE_DIR}
	)

if(APPLE)
    set(APP_CONTENTS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/mac")
 
    # xCode hacks
    include_directories(/usr/local/include/../include)

    # Bundle resources
    file(GLOB_RECURSE RESOURCE_FILES
        ${APP_CONTENTS_DIR}/Resources/*.icns
        ${APP_CONTENTS_DIR}/Resources/**/*.strings)

    foreach(_file ${RESOURCE_FILES})
        get_filename_component(_file_dir ${_file} PATH)
        file(RELATIVE_PATH _file_dir ${APP_CONTENTS_DIR}/Resources ${_file_dir})
        set_source_files_properties(${_file} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/${_file_dir}" )
    endforeach(_file)
endif(APPLE)

IF(WIN32)
	SET( SOURCES ${SOURCES} qdigidoccrypto.rc )
ENDIF(WIN32)

ADD_EXECUTABLE(
	qdigidoccrypto
	WIN32
	MACOSX_BUNDLE
	${SOURCES}
	${QM_FILES}
	${RC_SOURCES}
	${RESOURCE_FILES}
	)

if(APPLE)
    configure_file(
        ${APP_CONTENTS_DIR}/Info.plist.cmake
        ${APP_CONTENTS_DIR}/Info.plist
        @ONLY)

    set_target_properties(qdigidoccrypto
    	PROPERTIES
    	MACOSX_BUNDLE_INFO_PLIST ${APP_CONTENTS_DIR}/Info.plist)
    
    include_directories(/Developer/Headers/FlatCarbon)
    find_library(CARBON_LIBRARY Carbon)
    set(EXTRA_LIBRARIES ${CARBON_LIBRARY})
endif(APPLE)

TARGET_LINK_LIBRARIES( qdigidoccrypto
	${QT_QTMAIN_LIBRARY}
	${QT_QTCORE_LIBRARY}
	${QT_QTGUI_LIBRARY}
	${QT_QTNETWORK_LIBRARY}
	${LIBDIGIDOC_LIBRARY}
	${OPENSSL_LIBRARIES}
	${OPENSSLCRYPTO_LIBRARIES}
	${LDAP_LIBRARIES}
	${EXTRA_LIBRARIES}
	${LIBP11_LIBRARY}
	qdigidoccommon
)
install(TARGETS qdigidoccrypto DESTINATION ${BIN_INSTALL_DIR})

install(FILES qdigidoc-crypto.desktop DESTINATION ${SHARE_INSTALL_PREFIX}/applications)
install(FILES qdigidoc-crypto.xml DESTINATION ${SHARE_INSTALL_PREFIX}/mime/packages)

if(UNIX AND NOT APPLE)
    # Install icons
    foreach(RES 16 22 32 48 128)
        set(ICONDIR ${SHARE_INSTALL_PREFIX}/icons/hicolor/${RES}x${RES}/mimetypes/)
        set(SRC images/qdigidoc_crypto_document_${RES}x${RES}.png)
        set(TGT application-x-cdoc.png)
        install(
            FILES ${SRC}
            DESTINATION ${ICONDIR}
            RENAME ${TGT}
        )

        set(ICONDIR ${SHARE_INSTALL_PREFIX}/icons/hicolor/${RES}x${RES}/apps/)
        set(SRC images/crypto_${RES}x${RES}.png)
        set(TGT qdigidoc-crypto.png)
        install(
            FILES ${SRC}
            DESTINATION ${ICONDIR}
            RENAME ${TGT}
        )
    endforeach(RES)
endif(UNIX AND NOT APPLE)

=== client/nautilus/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(NautilusQDigiDoc)

find_package(Gettext)

file(GLOB PO_FILES po/*.po)
gettext_create_translations(po/nautilus-qdigidoc.pot ALL ${PO_FILES})

install(FILES nautilus-qdigidoc.py DESTINATION ${LIB_INSTALL_DIR}/nautilus/extensions-2.0/python/)

=== debian/changelog ===
qdigidoc (0.4.0-0ubuntu4) precise; urgency=low

  * Fixed the Nautilus plug-in:
    = 01_nautilus-newversion.patch: updated with correct install dir.
    = debian/nautilus-qdigidoc.install: updated with correct install dir.
    - 02_nautilus_cmake.patch: deleted.
    - debian/rules: removed nautilus-qdigidoc post-install mingling.
    - debian/rules: removed DEB_DESTDIR.
    + debian/qdigidoc.install: created.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Wed, 28 Mar 2012 19:18:05 +0300

qdigidoc (0.4.0-0ubuntu3) precise; urgency=low

  * debian/rules:
    = Fixed the post-install for nautilus-qdigidoc ... again.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Sun, 11 Mar 2012 11:59:50 +0200

qdigidoc (0.4.0-0ubuntu2) precise; urgency=low

  * debian/rules:
    = Fixed the post-install for nautilus-qdigidoc

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Wed, 07 Mar 2012 01:02:47 +0200

qdigidoc (0.4.0-0ubuntu1) precise; urgency=medium

  * Initial release for Ubuntu (LP: #916439).
    Based upon initial packaging by Kalev Lember, with further improvements
    by Guido Tabbernuk, then packaging review by Martin-Éric Racine.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Sat, 14 Jan 2012 05:55:06 +0200

=== debian/control ===
Source: qdigidoc
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guido Tabbernuk <boamaod@gmail.com>, Martin-Éric Racine <martin-eric.racine@iki.fi>
Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-config, 
 libdigidoc-dev, libdigidocpp-dev, 
 libldap-dev, libqt4-dev, libqtwebkit-dev, libssl-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/esteid/

Package: qdigidoc
Architecture: any
Conflicts: qdigidoccrypto
Replaces: qdigidoccrypto
Depends: fonts-liberation | ttf-liberation, ${misc:Depends}, ${shlibs:Depends}
Description: QT-based Digidoc client
 QDigiDoc is an application for digitally signing and encrypting documents in
 BDoc, DDoc, and CDoc container formats. These file formats are widespread in
 Estonia where they are used for storing legally binding digital signatures.

Package: qdigidoc-dbg
Architecture: any
Section: debug
Priority: extra
Depends: qdigidoc (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: qdigidoc debugging symbols
 QDigiDoc is an application for digitally signing and encrypting documents in
 BDoc, DDoc, and CDoc container formats. These file formats are widespread in
 Estonia where they are used for storing legally binding digital signatures.
 .
 This package contains debugging symbols for qdigidoc package.

Package: nautilus-qdigidoc
Architecture: all
Conflicts: qdigidoc-nautilus
Replaces: qdigidoc-nautilus
Depends: qdigidoc, python-nautilus, ${misc:Depends}, ${shlibs:Depends}
Description: Nautilus file manager support for QDigiDoc client
 QDigiDoc is an application for digitally signing and encrypting documents in
 BDoc, DDoc, and CDoc container formats. These file formats are widespread in
 Estonia where they are used for storing legally binding digital signatures.
 .
 This package contains context menu support for Nautilus file manager.

## qdigidoc 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,3 +56,4 @@
 add_subdirectory( common )
 add_subdirectory( client )
 add_subdirectory( crypto )
+add_subdirectory( extensions )

=== client/CMakeLists.txt ===
--- 
+++ 
@@ -136,6 +136,8 @@
 install(FILES qdigidoc-client.desktop DESTINATION ${SHARE_INSTALL_PREFIX}/applications)
 install(FILES qdigidoc-client.xml DESTINATION ${SHARE_INSTALL_PREFIX}/mime/packages)
 
+install(FILES qdigidocclient.1 DESTINATION ${MAN_INSTALL_DIR}/man1)
+
 if(UNIX AND NOT APPLE)
     # Install icons
     foreach(RES 16 22 32 48 128)
@@ -158,14 +160,6 @@
             RENAME ${TGT}
         )
     endforeach(RES)
-endif(UNIX AND NOT APPLE)
-
-option(ENABLE_KDE "Install KDE service menu (default: TRUE)" TRUE)
-if (ENABLE_KDE)
-    add_subdirectory(kde)
+elseif(WIN32)
+    install(FILES images/qdigidoc_client_document_48x48.ico DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps)
 endif()
-
-option(ENABLE_NAUTILUS_EXTENSION "Install Nautilus extension (default: TRUE)" TRUE)
-if (ENABLE_NAUTILUS_EXTENSION)
-    add_subdirectory(nautilus)
-endif()

=== common/CMakeLists.txt ===
set( MOC_HEADERS
	CheckConnection.h
	CertificateWidget.h
	ComboBox.h
	Common.h
	IKValidator.h
	PinDialog.h
	Settings.h
	sslConnect.h
	sslConnect_p.h
	)
QT4_WRAP_UI( UI_HEADERS
	ui/CertificateWidget.ui
	)
set( HEADERS
	${MOC_HEADERS}
	${UI_HEADERS}
	SslCertificate.h
	)
QT4_WRAP_CPP( MOC_SOURCES ${MOC_HEADERS} )
set( SOURCES
	${HEADERS}
	${MOC_SOURCES}
	CheckConnection.cpp
	CertificateWidget.cpp
	ComboBox.cpp
	Common.cpp
	IKValidator.cpp
	PinDialog.cpp
	SslCertificate.cpp
	sslConnect.cpp
	)

INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${OPENSSL_INCLUDE_DIR}
	${LIBP11_INCLUDE_DIR}
	)

if(APPLE)
    # xCode hacks
    include_directories(/usr/local/include/../include)
endif(APPLE)

ADD_LIBRARY(
	qdigidoccommon
	STATIC
	${SOURCES}
	)

=== crypto/CMakeLists.txt ===
--- 
+++ 
@@ -123,6 +123,8 @@
 install(FILES qdigidoc-crypto.desktop DESTINATION ${SHARE_INSTALL_PREFIX}/applications)
 install(FILES qdigidoc-crypto.xml DESTINATION ${SHARE_INSTALL_PREFIX}/mime/packages)
 
+install(FILES qdigidoccrypto.1 DESTINATION ${MAN_INSTALL_DIR}/man1)
+
 if(UNIX AND NOT APPLE)
     # Install icons
     foreach(RES 16 22 32 48 128)
@@ -144,4 +146,6 @@
             RENAME ${TGT}
         )
     endforeach(RES)
-endif(UNIX AND NOT APPLE)
+elseif(WIN32)
+    install(FILES images/qdigidoc_crypto_document_48x48.ico DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps)
+endif()

=== extensions/CMakeLists.txt ===
if (UNIX AND NOT APPLE)
    option(ENABLE_KDE "Install KDE service menu (default: TRUE)" TRUE)
    if (ENABLE_KDE)
        add_subdirectory(kde)
    endif()

    option(ENABLE_NAUTILUS_EXTENSION "Build Nautilus extension (default: TRUE)" TRUE)
    if (ENABLE_NAUTILUS_EXTENSION)
        add_subdirectory(nautilus)
    endif()
endif()

if (WIN32)
    option(ENABLE_WINDOWS_EXPLORER_EXTENSION "Build Windows Explorer extension (default: TRUE)" TRUE)
    if (ENABLE_WINDOWS_EXPLORER_EXTENSION)
        add_subdirectory(windows)
    endif()
endif()

=== extensions/kde/CMakeLists.txt ===
set(SERVICES_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/kde4/services" CACHE PATH "Install dir for KDE service (desktop, protocol, ...) files")

install(FILES qdigidoc-signer.desktop DESTINATION "${SERVICES_INSTALL_DIR}")

=== extensions/nautilus/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(NautilusQDigiDoc)

find_package(Gettext)

file(GLOB PO_FILES po/*.po)
gettext_create_translations(po/nautilus-qdigidoc.pot ALL ${PO_FILES})

install(FILES nautilus-qdigidoc.py DESTINATION ${SHARE_INSTALL_PREFIX}/nautilus-python/extensions/)

=== extensions/windows/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(EsteidShellExtension)

add_definitions(
    -D_UNICODE
    -DUNICODE
    -D_MERGE_PROXYSTUB
    -UWIN32_LEAN_AND_MEAN
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(SOURCES 
    ${CMAKE_CURRENT_BINARY_DIR}/EsteidShellExtension_i.c
    dllmain.cpp
    EsteidShellExtension.cpp
    EsteidShellExtension.def
    EsteidShlExt.cpp
    stdafx.cpp
    EsteidShellExtension.rc
    EsteidShellExtension.rgs
    EsteidShlExt.rgs
)

if(${CMAKE_SIZEOF_VOID_P} EQUAL 8)
    set(MIDL_TARGET "x64")
else(${CMAKE_SIZEOF_VOID_P} EQUAL 8)
    set(MIDL_TARGET "win32")
endif(${CMAKE_SIZEOF_VOID_P} EQUAL 8)

add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/EsteidShellExtension_i.h
           ${CMAKE_CURRENT_BINARY_DIR}/EsteidShellExtension_i.c
           ${CMAKE_CURRENT_BINARY_DIR}/EsteidShellExtension_p.c
    COMMAND Midl.Exe EsteidShellExtension.idl
                     /nologo
                     /I ${CMAKE_CURRENT_SOURCE_DIR}
                     /char signed
                     /env ${MIDL_TARGET}
                     /Oicf
                     /tlb EsteidShellExtension.tlb
                     /h EsteidShellExtension_i.h
                     /iid EsteidShellExtension_i.c
                     /proxy EsteidShellExtension_p.c
                     /no_robust
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    VERBATIM
)

add_library(EsteidShellExtension MODULE ${SOURCES})
install(TARGETS EsteidShellExtension DESTINATION bin)

=== debian/changelog ===
qdigidoc (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release:
    - 01_nautilus-newversion.patch: deleted; merged upstream.
    - 03_desktop_strip_encoding_key.patch: deleted; merged upstream.
    + 04_typo_fixes.patch: refreshed.
  * Bumped Standards-Version to 3.9.3 (no change required).

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Fri, 27 Apr 2012 12:28:35 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: qdigidoc
 Section: utils
 Priority: optional
+Homepage: http://code.google.com/p/esteid/
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Guido Tabbernuk <boamaod@gmail.com>, Martin-Éric Racine <martin-eric.racine@iki.fi>
 Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-config, 
  libdigidoc-dev, libdigidocpp-dev, 
  libldap-dev, libqt4-dev, libqtwebkit-dev, libssl-dev
-Standards-Version: 3.9.2
-Homepage: http://code.google.com/p/esteid/
+Standards-Version: 3.9.3
 
 Package: qdigidoc
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# [debian/rules] for qdigidoc
#
# COPYRIGHT © 2012 Guido Tabbernuk <boamaod@gmail.com>
#
# LICENSE
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/cmake.mk

binary-install/qdigidoc::
	dh_installmime -pqdigidoc
	dh_icons -pqdigidoc

common-binary-post-install-arch:: list-missing
	
#EOF

=== debian/watch ===
version=3
http://esteid.googlecode.com/files/qdigidoc-([\d\.]+)\.tar\.bz2 \
	debian uupdate --no-symlink
